<?php
namespace Claromentis\Quiz\Model;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Repository\RepositoryItem;








interface PropertyInterface extends RepositoryItem
{
    
    
    
    
    
    
    public function GetParentId();
    
    
    
    
    
    
    public function SetParentId($parent_id);
    
    
    
    
    
    
    public function GetKey();
    
    
    
    
    
    
    public function SetKey($key);
    
    
    
    
    
    
    public function HasValue();
    
    
    
    
    
    
    public function GetValue();
    
    
    
    
    
    
    public function SetValue($value);
}